core

## Class ExtendedSerialPortException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - jssc.SerialPortException
      - - core.ExtendedSerialPortException

- All Implemented Interfaces:
    java.io.Serializable

      public class ExtendedSerialPortException
      extends jssc.SerialPortException

  Extension of jSSC's SerialPortException with a few more exception types.
  Author:
    David Hudec (dwdization@gmail.com)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `TYPE_EMPTY_PAYLOAD`
    `static java.lang.String` | `TYPE_READING_ERROR`

    - ### Fields inherited from class jssc.SerialPortException

      `TYPE_CANT_REMOVE_LISTENER, TYPE_CANT_SET_MASK, TYPE_INCORRECT_SERIAL_PORT, TYPE_LISTENER_ALREADY_ADDED, TYPE_LISTENER_THREAD_INTERRUPTED, TYPE_NULL_NOT_PERMITTED, TYPE_PARAMETER_IS_NOT_CORRECT, TYPE_PERMISSION_DENIED, TYPE_PORT_ALREADY_OPENED, TYPE_PORT_BUSY, TYPE_PORT_NOT_FOUND, TYPE_PORT_NOT_OPENED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtendedSerialPortException(java.lang.String portName, java.lang.String methodName, java.lang.String exceptionType)`

  - ### Method Summary

    - ### Methods inherited from class jssc.SerialPortException

      `getExceptionType, getMethodName, getPortName`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_EMPTY_PAYLOAD

          public static final java.lang.String TYPE_EMPTY_PAYLOAD

      See Also:
        Constant Field Values

    - #### TYPE_READING_ERROR

          public static final java.lang.String TYPE_READING_ERROR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ExtendedSerialPortException

          public ExtendedSerialPortException(java.lang.String portName,
                                             java.lang.String methodName,
                                             java.lang.String exceptionType)